Bug 439146 - dstat doesn't print total number of interrupts
dstat doesn't print total number of interrupts
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dstat (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Brich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 06:50 EDT by Milos Malik
Modified: 2008-04-16 23:47 EDT (History)
0 users

See Also:
Fixed In Version: 0.6.7-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-16 23:47:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for total interrupts (1.74 KB, patch)
2008-03-27 10:19 EDT, Radek Brich
no flags Details | Diff

  None (edit)
Description Milos Malik 2008-03-27 06:50:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:
The dstat utility does not print all required information when a user selects "interrupts in total" and "interrupts handled by network device".

Version-Release number of selected component (if applicable):
dstat-0.6.7-1

How reproducible:
Always


Steps to Reproduce:
1. dstat -i -I eth0,total # choose a device which is present on the machine


Actual Results:
The output has one column.

Expected Results:
The output has two columns.

Additional info:
Comment 1 Radek Brich 2008-03-27 10:19:57 EDT
Created attachment 299325 [details]
patch for total interrupts

With this patch, 'dstat -i -I total' shows total number of interrupts, i.e.
same values as 'dstat -y' in "int" column. This new 'total' column of
interrupts module is hidden by default, so e.g. 'dstat -ai' shows that value
only on one place.
Comment 2 Fedora Update System 2008-04-01 17:32:48 EDT
dstat-0.6.7-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dstat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2816
Comment 3 Fedora Update System 2008-04-16 23:47:54 EDT
dstat-0.6.7-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.